AbstractStatementProxyHandler (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.jdbc.internal.proxy
Class AbstractStatementProxyHandler

    java.lang.Object
      org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
          org.hibernate.engine.jdbc.internal.proxy.AbstractStatementProxyHandler

All Implemented Interfaces:
  InvocationHandler

Direct Known Subclasses:
  BasicStatementProxyHandler, ImplicitStatementProxyHandler, PreparedStatementProxyHandler

    public abstract class AbstractStatementProxyHandler

extends AbstractProxyHandler

Basic support for building `Statement`-based proxy handlers

Constructor Summary
`protected` | `AbstractStatementProxyHandler(Statement statement, ConnectionProxyHandler connectionProxyHandler, Connection connectionProxy)`

Method Summary
`protected void` | `beginningInvocationHandling(Method method, Object[] args)`
`protected Object` | `continueInvocation(Object proxy, Method method, Object[] args)`
`protected ConnectionProxyHandler` | `getConnectionProxy()`
`protected JdbcServices` | `getJdbcServices()`
`protected JdbcResourceRegistry` | `getResourceRegistry()`
`protected Statement` | `getStatement()`
`protected Statement` | `getStatementWithoutChecks()`

Methods inherited from class org.hibernate.engine.jdbc.internal.proxy.AbstractProxyHandler
`errorIfInvalid, hashCode, invalidate, invoke, isValid, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AbstractStatementProxyHandler

    protected AbstractStatementProxyHandler(Statement statement,
                                            ConnectionProxyHandler connectionProxyHandler,
                                            Connection connectionProxy)

Method Detail

### getConnectionProxy

    protected ConnectionProxyHandler getConnectionProxy()

### getJdbcServices

    protected JdbcServices getJdbcServices()

### getResourceRegistry

    protected JdbcResourceRegistry getResourceRegistry()

### getStatement

    protected Statement getStatement()

### getStatementWithoutChecks

    protected Statement getStatementWithoutChecks()

### continueInvocation

    protected Object continueInvocation(Object proxy,
                                        Method method,
                                        Object[] args)
                                 throws Throwable

  Specified by:
    `continueInvocation` in class `AbstractProxyHandler`
  Throws:
    `Throwable`

### beginningInvocationHandling

    protected void beginningInvocationHandling(Method method,
                                               Object[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.